please include a command line interface

Bug #181832 reported by Timo Aaltonen on 2008-01-10
12
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Medium
Martin Pitt

Bug Description

Binary package hint: restricted-manager

It would be handy to use restricted-manager from a script during installation, to enable the drivers one needs. I looked at the wrapper, and it accepts some arguments that I thought would work from a console but no.

Related branches

Timo Aaltonen (tjaalton) on 2008-01-10
Changed in restricted-manager:
importance: Undecided → Wishlist
Timo Aaltonen (tjaalton) wrote :

jockey is the new driver manager, so reassigning.

it would be nice to advise users to use jockey instead of the hacky 'aticonfig' or 'nvidia-xconfig' commands if they need to enable the driver from commandline (like when the failsafe doesn't work etc).

Martin Pitt (pitti) wrote :

Right. It already has --list, so I need to port --enable and --disable from the old restricted-manager. This is a feature regression compared to gutsy.

Changed in jockey:
importance: Wishlist → Medium
milestone: none → ubuntu-8.04-beta
status: New → Confirmed
Martin Pitt (pitti) wrote :

Fixed in trunk bzr head.

Changed in jockey:
assignee: nobody → pitti
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.3-0ubuntu1

---------------
jockey (0.3-0ubuntu1) hardy; urgency=low

  * Merge with trunk to update to the 0.3 release. We already had all the new
    features like the KDE interface, so this only imports bug fixes, in
    particular:
    - Update fglrx handler for current upstream version, to actually work
      again at all (DisplayDepth) and declare support for composite. Thanks to
      Sander Jonkes! (LP: #194963)
    - Quiesce backtraces from failed handler instantiation. (LP: #195548)
    - Use regular expressions, not fnmatch for modalias pattern matching,
      since we do not want to treat '[' and ']' specially. (LP: #193521)
    - Port --enable and --disable options from restricted-manager.
      (LP: #181832)
    - Port --check-composite from restricted-manager. (LP: #193978)
  * Fixed Vcs-Bzr field.
  * Remove do-release from this branch, it's only useful for upstream
    developers on trunk and confusing in the package.
  * debian/jockey-common.postinst: Remove --check cache on upgrade from
    << 0.3, since the format changed (much more robust now).

 -- Martin Pitt <email address hidden> Tue, 04 Mar 2008 16:48:50 +0100

Changed in jockey:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers